Subject: Re: [PATCH] powerpc/powernv: fix a W=1 compilation warning

From: Qian Cai <[email-masked]>
Date: Tue, 03 Sep 2019 09:52:05 -0400

On Tue, 2019-09-03 at 15:30 +0200, Christoph Hellwig wrote:
> On Tue, Sep 03, 2019 at 09:29:14AM -0400, Qian Cai wrote:
> > I saw Christ start to remove npu-dma.c code [1]
> > 
> > [1] https://lore.kernel.org/linuxppc-dev/[email-masked]/
> > 
> > Should pnv_npu_dma_set_32() be removed too?
> > 
> > It was only called by pnv_npu_try_dma_set_bypass() but the later is not used
> > anywhere in the kernel tree. If that is a case, I don't need to bother
> > fixing
> > the warning here.
> 
> Yes, pnv_npu_try_dma_set_bypass and pnv_npu_dma_set_32 should go away
> as well as they are unused.  Do you want to send a patch or should I
> prepare one?

I would be nice that you could prepare one since it probably could be a part for
your previous attempt.